import request from '@/utils/request'

export function getList(query) {
  return request({
    url: '/order/organize/orderList',
    method: 'get',
    params: query
  })
}

export function getDetail(query) {
  return request({
    url: '/order/organize/detail',
    method: 'get',
    params: query
  })
}

export function getRemarks(query) {
  return request({
    url: '/order/cmOrderRemark/remarksView',
    method: 'get',
    params: query
  })
}

export function saveRemarks(query) {
  return request({
    url: '/order/cmOrderRemark/addRemarks',
    method: 'post',
    data: query
  })
}

export function getRefundReturn(query) {
  return request({
    url: '/order/organize/toRecturnRecordByOrderID',
    method: 'get',
    params: query
  })
}

export function getRefundRecord(query) {
  return request({
    url: '/order/organize/toRefundRecord',
    method: 'get',
    params: query
  })
}

export function getLogistics(query) {
  return request({
    url: '/order/organize/logisticsDetails',
    method: 'get',
    params: query
  })
}

/** 用户退款管理 */
export function getRefundList(query) {
  return request({
    url: '/order/cmReturnedPurchase/list',
    method: 'get',
    params: query
  })
}

export function getRefundDetail(query) {
  return request({
    url: '/order/cmReturnedPurchase/toRecturnRecord',
    method: 'get',
    params: query
  })
}
